/*
 Theme Name:   Keroz Theme
 Theme URI:    https://keroz.fr
 Description:  A child theme for GeneratePress made by Keroz
 Author:       Keroz
 Author URI:   https://keroz.fr
 Template:     generatepress
 Version:      2.0
*/

@view-transition {
    navigation: auto;
}

/* Creates a, b, c lists */ 
.list--alpha {
	list-style-type: lower-latin;
	
	& li {
		margin-bottom: 0.25rem;
	}
}

/*  
 * NAVBAR
 */

#menu-primary > li:last-child {
	margin-left: 1.5rem;
}

.button--navbar.current-menu-item {
  color: var(--neutral--neutral-0) !important;
  transition: all 0.25s ease;
}

.gb-navigation .sub-menu {
    display: block;
}

/* État initial des sous-menus */
.gb-navigation .sub-menu {
    opacity: 0;
    visibility: hidden;
    transform: translateX(-12px);
    transition: all 0.25s ease;
}

/* Apparition au hover du parent */
.gb-navigation .menu-item-has-children:hover > .sub-menu {
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
}

/*
 * Home
 */

.kz-counter {
	color: var(--brand--blue-1);
}

/* 
 * Partners page
 */ 

/* Partner filters menu */
.partner-filters {
	display: flex;
	flex-direction: column;
	width: 100%;
	
	& button {
		display: inline-flex;
		color: var(--neutral--neutral-1000);
		background: none;
	}
}

.partner-filter:hover {
	background: var(--neutral--neutral-100);
}

.partner-filter.active {
  background-color: var(--brand--blue-1);
  color: var(--neutral--neutral-0);
}

.is-ajax-search-result {
	background: var(--neutral--neutral-0) !important;
	border: 1px solid var(--neutral--neutral-300) !important;
	border-top: 0 solid var(--neutral--neutral-300) !important;
	padding: 4px !important;
}
.is-ajax-search-posts .is-search-sections {
	display: flex;
	align-items: center;
	
	& .meta {
		display: none;
	}
}

/*
 * ABOUT US
*/

/* Hide Careers section if no job available */ 
#moz-careers-section:has(#moz-jobs-list:empty) {
  display: none;
}

/* Mobile / tablette */
@media screen and (max-width: 1024px) {
  .kz-scroll-wrapper {
    padding: 1rem;
    margin: -1rem;
    scroll-padding-inline: 0;
  }

  .kz-scroll-item {
    min-width: min(22rem, 80vw);
    scroll-snap-align: center;
  }
}

/*
 * BLOG
 */

/* Filters */

.blog-filters {
  display: inline-flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin-left: -.5rem;
}

.blog-filters a {
  text-decoration: none;
}

.blog-filters a.active {
  background: var(--brand--accent-2);
  color: var(--neutral--neutral-0);
}

@media screen and (max-width: 1024px) {
  .blog-filters {
    gap: 1rem;
  }

/* Search */


/* Excerpt clamp */
.post-excerpt {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}




/* --- SCROLLBAR --- */
::-webkit-scrollbar {
  width: 14px;
}

::-webkit-scrollbar-thumb {
  background: var(--brand--orange-1);;
  border-radius: 4px;
}
::-webkit-scrollbar-thumb:hover {
  background: #fbb54b;
}